List Presets
List system preset policies.
GET
/
v1
/
policies
/
presets
/
List Presets
curl --request GET \
--url https://api.example.com/v1/policies/presets/import requests
url = "https://api.example.com/v1/policies/presets/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/policies/presets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/policies/presets/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": 123,
"updated_at": 123,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "draft",
"source_text": "<string>",
"file_path": "<string>",
"file_name": "<string>",
"file_type": "<string>",
"file_size_bytes": 123,
"converted_file_path": "<string>",
"is_preset": false,
"preset_source": "<string>",
"tags": [
"<string>"
]
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Category of policy document.
Available options:
privacy, ethics, security, compliance, operational, brand, custom Required range:
1 <= x <= 1000Required range:
x >= 0Response
Successful Response
Response model for list endpoints with pagination.
- results: Items in the current page (length may be less than limit on last page).
- total: Total number of items across all pages (before pagination).
Hide child attributes
Hide child attributes
Category of policy document.
Available options:
privacy, ethics, security, compliance, operational, brand, custom Status of a policy document.
Available options:
draft, active, archived Last modified on April 21, 2026
Was this page helpful?
⌘I
List Presets
curl --request GET \
--url https://api.example.com/v1/policies/presets/import requests
url = "https://api.example.com/v1/policies/presets/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/policies/presets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/policies/presets/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": 123,
"updated_at": 123,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "draft",
"source_text": "<string>",
"file_path": "<string>",
"file_name": "<string>",
"file_type": "<string>",
"file_size_bytes": 123,
"converted_file_path": "<string>",
"is_preset": false,
"preset_source": "<string>",
"tags": [
"<string>"
]
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}